Subject: [Callers] Re: Thoughts on fees for a wedding dance?
From: Lisa Sieverts <[email-masked]>
To: Shared Weight Contra Callers <[email-masked]>
Date: Mon, 10 Nov 2025 15:12:56 -0500
List-Id: Contra Caller's discussion list <contracallers.lists.sharedweight.net>

For a while before COVID, there was an informal “contest” about payment for wedding dances.

As I remember, the high bar was someone who received $3,000 as the caller.

Think about how much DJs and wedding bands charge.

Having said that, for my last wedding gig, I charged $1250 which included 2 musicians and us bringing and doing our own sound. The musicians played for about 2 hours of post-wedding hors d’oeuvres and then we did about 90 minutes of dancing.

Lisa Sieverts
Nelson, NH

On 10 Nov 2025, at 14:31, Joseph Erhard-Hudson via Contra Callers wrote:

> While I ponder my answer, I'm curious to hear what other callers charge for
> wedding dances. If there's a range, would you ask differently for newly-met
> people vs. friends from your dance community vs. close friends and family?
> What other factors would you consider?
>